## org.eclipse.datatools.connectivity.sqm.core.mappings
Class ProviderIDMappingRegistry

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.mappings.ProviderIDMappingRegistry

    public class ProviderIDMappingRegistry

extends java.lang.Object

A mapping utility that can be used to get the connection profile provider ID from a driver template category ID or from a vendor/version combination.

EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the DTP Connectivity team.

Author:
  brianf

Method Summary
`java.lang.String` `getCategoryIDforProviderID(java.lang.String providerID)` Get the first driver template category mapped to the incoming provider ID.
`static ProviderIDMappingRegistry` `getInstance()` Get the public instance
`java.lang.String` `getProviderIDforDriverCategoryID(java.lang.String driverCategoryID)` Category ID comes in.
`java.lang.String` `getProviderIDforVendorVersion(java.lang.String vendor, java.lang.String version)` Get the provider ID for the incoming vendor/version combo.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ProviderIDMappingRegistry getInstance()

  Get the public instance

  Returns:

### getProviderIDforDriverCategoryID

    public java.lang.String getProviderIDforDriverCategoryID(java.lang.String driverCategoryID)

  Category ID comes in. It either maps directly to a provider ID in the map or indirectly by way of a parent or not at all. 1) Check the map with the incoming category ID. If we find a match, pass back the provider ID. 2) Get the parent for the incoming category. If the parent isn't the Database category and it's not null, check to see if the parent's category ID is in the provider ID/category ID map. If so, return it. 3) No matches. Return null

  Parameters:
    `driverCategoryID` -
  Returns:

### getCategoryIDforProviderID

    public java.lang.String getCategoryIDforProviderID(java.lang.String providerID)

  Get the first driver template category mapped to the incoming provider ID. Note that there may be multiple categories mapped, so this is a potential issue.

  Parameters:
    `providerID` -
  Returns:

### getProviderIDforVendorVersion

    public java.lang.String getProviderIDforVendorVersion(java.lang.String vendor,
                                                          java.lang.String version)

  Get the provider ID for the incoming vendor/version combo.

  Parameters:
    `vendor` -
    `version` -
  Returns: